SoGLPolygonOffsetElement(3)

NAME
SoGLPolygonOffsetElement - The SoGLPolygonOffsetElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoGLPolygonOffsetElement.h>

Inherits SoPolygonOffsetElement.

  Public Member Functions
virtual void init (SoState *state)
FIXME: write doc.
virtual void push (SoState *state)
FIXME: write doc.
virtual void pop (SoState *state, const SoElement *prevTopElement)
FIXME: write doc.
Public Member Functions inherited from SoReplacedElement
virtual SbBool matches (const SoElement *element) const
virtual SoElement * copyMatchInfo () const
SbUniqueId getNodeId () const
virtual void print (FILE *file) const
Public Member Functions inherited from SoElement
const SoType getTypeId (void) const
int getStackIndex (void) const
void setDepth (const int depth)
int getDepth (void) const
virtual ~SoElement ()

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
Static Public Member Functions inherited from SoPolygonOffsetElement
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *state, SoNode *node, float factor, float units, Style styles, SbBool on)
FIXME: write doc.
static void get (SoState *state, float &factor, float &units, Style &styles, SbBool &on)
FIXME: write doc.
static void getDefault (float &factor, float &units, Style &styles, SbBool &on)
FIXME: write doc.
Static Public Member Functions inherited from SoReplacedElement
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void initClass (void)
Static Public Member Functions inherited from SoElement
static void initClass (void)
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void initElements (void)
static int getNumStackIndices (void)
static SoType getIdFromStackIndex (const int stackIndex)

  Protected Member Functions
virtual ~SoGLPolygonOffsetElement ()
virtual void setElt (float factor, float units, Style styles, SbBool on)
FIXME: write doc.
Protected Member Functions inherited from SoPolygonOffsetElement
virtual ~SoPolygonOffsetElement ()
Protected Member Functions inherited from SoReplacedElement
virtual ~SoReplacedElement ()
Protected Member Functions inherited from SoElement
SoElement (void)
void capture (SoState *const state) const
virtual void captureThis (SoState *state) const
void setTypeId (const SoType typeId)
void setStackIndex (const int index)
SoElement * getNextInStack (void) const
SoElement * getNextFree (void) const

  Additional Inherited Members
Public Types inherited from SoPolygonOffsetElement
enum Style { FILLED = 0x01, LINES = 0x02, POINTS = 0x04 }
Static Protected Member Functions inherited from SoReplacedElement
static SoElement * getElement (SoState *const state, const int stackIndex, SoNode *const node)
Static Protected Member Functions inherited from SoElement
static SoElement * getElement (SoState *const state, const int stackIndex)
static const SoElement * getConstElement (SoState *const state, const int stackIndex)
static int createStackIndex (const SoType id)
Protected Attributes inherited from SoPolygonOffsetElement
Style style
SbBool active
float offsetfactor
float offsetunits
Protected Attributes inherited from SoReplacedElement
SbUniqueId nodeId
Protected Attributes inherited from SoElement
SoType typeId
int stackIndex
int depth
Static Protected Attributes inherited from SoElement
static int classStackIndex
static SoTypeList * stackToType

Detailed Description

The SoGLPolygonOffsetElement class is yet to be documented. FIXME: write doc.

Constructor & Destructor Documentation

  SoGLPolygonOffsetElement::~SoGLPolygonOffsetElement (void ) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoGLPolygonOffsetElement::getClassTypeId (void ) [static]
This static method returns the SoType object associated with objects of this class.

  int SoGLPolygonOffsetElement::getClassStackIndex (void ) [static]
This static method returns the state stack index for the class.

  void * SoGLPolygonOffsetElement::createInstance (void ) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoGLPolygonOffsetElement::initClass (void ) [static]
Initialize relevant common data for all instances, like the type system.

  void SoGLPolygonOffsetElement::init (SoState * state) [virtual]

FIXME: write doc.

Reimplemented from SoPolygonOffsetElement.

  void SoGLPolygonOffsetElement::push (SoState * state) [virtual]

FIXME: write doc.

Reimplemented from SoElement.

  void SoGLPolygonOffsetElement::pop (SoState * state, const SoElement * prevTopElement) [virtual]

FIXME: write doc.

Reimplemented from SoElement.

  void SoGLPolygonOffsetElement::setElt (float factor, float units, Style styles, SbBool on) [protected], [virtual]

FIXME: write doc.

Reimplemented from SoPolygonOffsetElement.

Author

Generated automatically by Doxygen for Coin from the source code.